#!/bin/sh

LOG_PIPE=log.pipe
rm -f LOG_PIPE
mkfifo ${LOG_PIPE}
LOG_FILE=log.file
rm -f LOG_FILE
tee < ${LOG_PIPE} ${LOG_FILE} &

exec  > ${LOG_PIPE}
exec  2> ${LOG_PIPE}


Infon() {
	printf "\033[1;32m$@\033[0m"
}
Info()
{
	Infon "$@\n"
}
Error()
{
	printf "\033[1;33m$@\033[0m\n"
}
Error_n()
{
	Error "- - - $@"
}
Error_s()
{
	Error "- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - "
}
log_s()
{
	Info "- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - "
}
log_n()
{
	Info "\033[1;34m$@\033[0m\n"
}
log_red()
{
	Info "\033[1;31m$@\033[0m\n"
}
log_t()
{
	log_s
	Info "- - - $@"
	log_s
}
lines()
{
	Info "${green}------------------------------------------------------------------------"
}
wow()
{
	lines
}
wow1()
{
	lines
}
infomenu()
{
	Info "${yellow}------------- | ${CYAN}Добро пожаловать, в установочное меню ${red}EGP${blue} | --------------"
}
info()
{
	printf "\033[1;33m$@\033[0m\n"
}
info_n()
{
	info "- - - $@"
}
lines_1()
{
	lines_2 "- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - "
}
lines_2()
{
	printf "\033[1;33m$@\033[0m\n"
}
log_n11()
{
	Info "- - - $@"
}
log_tt()
{
	Info "• —————————————————————————— ${red}$@${green} ——————————————————————————— • "
}
#Colors settings
BLUE='\033[0;34m'
GREEN='\033[0;32m'
RED='\033[0;31m'
YELLOW='\033[0;33m'
NC='\033[0m' # No Color
############################
RED=$(tput setaf 1)
red=$(tput setaf 1)
green=$(tput setaf 2)
yellow=$(tput setaf 3)
white=$(tput setaf 7)
reset=$(tput sgr0)
toend=$(tput hpa $(tput cols))$(tput cub 6)
YELLOW=$(tput setaf 3)
BLUE=$(tput setaf 4)
MAGENTA=$(tput setaf 5)
LIME_YELLOW=$(tput setaf 190)
CYAN=$(tput setaf 6)
######################################################Определяем версию OS##########################################################
version()
{
	clear
	echo "• Определяем версию ${red}OS${green} •"
if [ -f "/etc/debian_version" ]; then
    ver=`cat /etc/issue.net | awk '{print $1$3}'`
    echo "Detected OS Version: "$ver
# Debian 7
if [ "$ver" = "Debian7" ]; then
    Info "• ${red}1${green} - Перейти к установке панели ${red}EGP${green} на Debian 7"
    Info "• ${red}0${green} - Выйти"
    read -p "Пожалуйста, введите пункт меню: " casedeb7
	case $casedeb7 in
		#1) install_debian7;;
		0) exit;;
	esac
fi
# Debian 7
# Debian 8
if [ "$ver" = "Debian8" ]; then
    Info "• ${red}1${green} - Перейти к установке панели ${red}EGP${green} на Debian 8"
    Info "• ${red}0${green} - Выйти"
    read -p "Пожалуйста, введите пункт меню: " casedeb8
	case $casedeb8 in
		1) install_debian8;;
		0) exit;;
	esac
fi
# Debian 8
# Debian 9
if [ "$ver" = "Debian9" ]; then
    Info "• ${red}1${green} - Перейти к установке панели ${red}EGP${green} на Debian 9"
    Info "• ${red}0${green} - Выйти"
    read -p "Пожалуйста, введите пункт меню: " casedeb9
	case $casedeb9 in
		#1) install_debian9;;
		1) error9;;
		0) exit;;
	esac
fi
# Debian 9
# Ubuntu14
if [ "$ver" = "Ubuntu14" ]; then
    Info "• ${red}1${green} - Перейти к установке панели ${red}EGP${green} на Ubuntu 14"
    Info "• ${red}0${green} - Выйти"
    read -p "Пожалуйста, введите пункт меню: " caseubu14
	case $caseubu14 in
		1) install_ubuntu14;;
		0) exit;;
	esac
fi
# Ubuntu14
# Ubuntu16
if [ "$ver" = "Ubuntu16" ]; then
    Info "• ${red}1${green} - Перейти к установке панели ${red}EGP${green} на Ubuntu 16"
    Info "• ${red}0${green} - Выйти"
    read -p "Пожалуйста, введите пункт меню: " caseubu16
	case $caseubu16 in
		1) install_ubuntu16;;
		0) exit;;
	esac
fi
# Ubuntu16
# Ubuntu18
if [ "$ver" = "Ubuntu18" ]; then
    Info "• ${red}1${green} - Перейти к установке панели ${red}EGP${green} на Ubuntu 18"
    Info "• ${red}0${green} - Выйти"
    read -p "Пожалуйста, введите пункт меню: " caseubu18
	case $caseubu18 in
		1) install_ubuntu18;;
		0) exit;;
	esac
fi
# Ubuntu18
else
		echo "\033[1;31m [ERROR] OS NOT FOUND! \033[0m\n"
		exit
fi
}
################################################Установка панели##########################################################
########################################################DEBIAN8####################################################################
install_debian8()
{
	clear
echo "${LIME_YELLOW}-------------------------------------------------------------------------------"
	Info "Здравствуйте, данный скрипт поможет Вам установить ${red}EGP${blue} на Debian 8
Вам после установки, ни чего делать не надо.
Только надо установить игры с нашего автоустановщика которые вам нужны!
Тарифы в панели уже созданы для всех игр и всех версий билдов. 
Скрипт за Вас всё установить кроме игр!"
echo "${LIME_YELLOW}-------------------------------------------------------------------------------"
while true; do
	read -p "${green}Вы уверены, что хотите установить полностью ${red}EGP${green}?(${red}Y${green}/${red}N${green}): " yn
	case $yn in
		[Yy]* ) break;;
		[Nn]* ) menu;;
		* ) echo "Ответьте, пожалуйста ${red}Y${green} или ${red}N${green}.";;
	esac
done
	read -p "${CYAN}Пожалуйста, введите ${red}домен ${CYAN}для работы ${red}с web модулями${green}: ${yellow}" DOMAIN
	Info "Здравствуйте, скопируйте ${red}IP${green} от сервера, и вставьте правой кнопкой мышь 
Либо введите с клавиатуры"
	read -p "${CYAN}Пожалуйста, введите ${red}IP${CYAN} от сервера${green}: ${yellow}" ipaddress
	Info "Пожалуйста, скопируйте ${red}пароль${green} от сервера, и вставьте правой кнопкой мыши
Либо Ведите с клавиатуры"
	read -p "${CYAN}Введите пароль от сервера${green}: ${yellow}" VPASS
	if [ -f "/var/www/system/data/config.php" ]; then
echo "Панель управления уже установлена."
exit
fi
	log_t "• Начинаем установку ${red}EGP${green} •"
	log_t "• Обновляем пакеты •"
	apt-get update
	log_t "• Устанавливаем пакеты! •"
	apt-get install -y apt-utils
	apt-get install -y pwgen
	apt-get install -y wget
	apt-get install sudo
	apt-get install -y dialog
	MYPASS=$(pwgen -cns -1 16)
	MYPASS2=$(pwgen -cns -1 16)
	OS=$(lsb_release -s -i -c -r | xargs echo |sed 's; ;-;g' | grep Ubuntu)
	if [ "$OS" = "Debian8" ]; then
		log_t "• Добавляем репозиторий •"
		echo "deb http://ftp.ru.debian.org/debian/ jessie main" > /etc/apt/sources.list
		echo "deb-src http://ftp.ru.debian.org/debian/ jessie main" >> /etc/apt/sources.list
		echo "deb http://security.debian.org/ jessie/updates main" >> /etc/apt/sources.list
		echo "deb-src http://security.debian.org/ jessie/updates main" >> /etc/apt/sources.list
		echo "deb http://ftp.ru.debian.org/debian/ jessie-updates main" >> /etc/apt/sources.list
		echo "deb-src http://ftp.ru.debian.org/debian/ jessie-updates main" >> /etc/apt/sources.list
		log_t "• Обновляем пакеты •"
		apt-get update
	fi
	if [ "$OS" = "Debian7" ]; then
		log_t "• Добавляем репозиторий •"
		echo "deb http://ftp.ru.debian.org/debian/ wheezy main" > /etc/apt/sources.list
		echo "deb-src http://ftp.ru.debian.org/debian/ wheezy main" >> /etc/apt/sources.list
		echo "deb http://security.debian.org/ wheezy/updates main" >> /etc/apt/sources.list
		echo "deb-src http://security.debian.org/ wheezy/updates main" >> /etc/apt/sources.list
		echo "deb http://ftp.ru.debian.org/debian/ wheezy-updates main" >> /etc/apt/sources.list
		echo "deb-src http://ftp.ru.debian.org/debian/ wheezy-updates main" >> /etc/apt/sources.list
		log_t "• Обновляем пакеты •"
		apt-get update
	fi
	if [ "$OS" = "Debian9" ]; then
		log_t "• Добавляем репозиторий •"
		echo "deb http://ftp.ru.debian.org/debian/ stretch main" > /etc/apt/sources.list
		echo "deb-src http://ftp.ru.debian.org/debian/ stretch main" >> /etc/apt/sources.list
		echo "deb http://security.debian.org/ stretch/updates main" >> /etc/apt/sources.list
		echo "deb-src http://security.debian.org/ stretch/updates main" >> /etc/apt/sources.list
		echo "deb http://ftp.ru.debian.org/debian/ stretch-updates main" >> /etc/apt/sources.list
		echo "deb-src http://ftp.ru.debian.org/debian/ stretch-updates main" >> /etc/apt/sources.list
		wget http://www.dotdeb.org/dotdeb.gpg
		apt-key add dotdeb.gpg
		rm dotdeb.gpg
		log_t "• Обновляем пакеты •"
		apt-get update
	fi
	log_t "• Обновляем пакеты •"
	apt-get upgrade -y
	echo mysql-server mysql-server/root_password select "$MYPASS" | debconf-set-selections
	echo mysql-server mysql-server/root_password_again select "$MYPASS" | debconf-set-selections
	log_t "• Устанавливаем пакеты! •"
	apt-get install -y apache2 php5 php5-dev cron unzip sudo nano php5-curl php5-memcache php5-json memcached mysql-server php5-mysql libapache2-mod-php5 php-pear
	log_t "• Включаем модуль ${red}Apache2${green} •"
	a2enmod php5
	service apache2 restart
	log_t "• Устанавливаем ${red}phpMyAdmin${green} •"
	echo "phpmyadmin phpmyadmin/dbconfig-install boolean true" | debconf-set-selections
	echo "phpmyadmin phpmyadmin/mysql/admin-user string root" | debconf-set-selections
	echo "phpmyadmin phpmyadmin/mysql/admin-pass password $MYPASS" | debconf-set-selections
	echo "phpmyadmin phpmyadmin/mysql/app-pass password $MYPASS" |debconf-set-selections
	echo "phpmyadmin phpmyadmin/app-password-confirm password $MYPASS" | debconf-set-selections
	echo 'phpmyadmin phpmyadmin/reconfigure-webserver multiselect apache2' | debconf-set-selections
	apt-get install -y phpmyadmin
	log_t "• Устанавливаем ${red}mysql-server ${red}5${green}.${red}6${green} •"
	echo mysql-apt-config mysql-apt-config/select-server select mysql-5.6 | debconf-set-selections
	echo mysql-apt-config mysql-apt-config/select-product select Ok | debconf-set-selections
	wget https://dev.mysql.com/get/mysql-apt-config_0.8.7-1_all.deb
	export DEBIAN_FRONTEND=noninteractive
	dpkg -i mysql-apt-config_0.8.7-1_all.deb 
    apt-get update
	apt-get --yes --force-yes install mysql-server
	sudo mysql_upgrade -u root -p$MYPASS --force --upgrade-system-tables
	service mysql restart
	rm mysql-apt-config_0.8.7-1_all.deb
	cd ~
	sudo mysql_upgrade -u root -p$MYPASS --force --upgrade-system-tables
	service mysql restart
	log_t "• Устанавливаем библиотеку ${red}SSH2${green} •"
	if [ "$OS" = "" ]; then
	apt-get install -y curl php5-ssh2
	else
	apt-get install -y libssh2-php
	fi	
	log_t "• Создаем хост в ${red}Apache2${green} - создание файлов виртуальных хостов •"
	mv /etc/apache2/sites-available/000-default.conf /etc/apache2/sites-available/.000-default.conf
	FILE='/etc/apache2/sites-available/000-default.conf'
		echo "<VirtualHost *:80>">$FILE
		echo "	ServerName $DOMAIN">>$FILE
		echo "	DocumentRoot /var/www">>$FILE
		echo "	<Directory /var/www/>">>$FILE
		echo "	Options Indexes FollowSymLinks MultiViews">>$FILE
		echo "	AllowOverride All">>$FILE
		echo "	Order allow,deny">>$FILE
		echo "	allow from all">>$FILE
		echo "	</Directory>">>$FILE
		echo "	ErrorLog \${APACHE_LOG_DIR}/error.log">>$FILE
		echo "	LogLevel warn">>$FILE
		echo "	CustomLog \${APACHE_LOG_DIR}/access.log combined">>$FILE
		echo "</VirtualHost>">>$FILE
	log_t "• Перезагружаем ${red}Apache2${green} •"
	service apache2 restart	
	log_t "• Включаем модуль ${red}mod_rewrite${green} для ${red}Apache2${green} •"
	a2enmod rewrite
	log_t "• Перезагружаем ${red}Apache2${green} •"
	service apache2 restart	
	log_t "• Добавляем ${red}Cron задания${green} •"
	(crontab -l ; echo "*/2 * * * * screen -dmS scan_servers bash -c 'cd /var/www && php cron.php key123 threads scan_servers'
*/2 * * * * screen -dmS scan_servers bash -c 'cd /var/www && php cron.php key123 threads scan_servers'
*/5 * * * * screen -dmS scan_servers_load bash -c 'cd /var/www && php cron.php key123 threads scan_servers_load'
*/5 * * * * screen -dmS scan_servers_route bash -c 'cd /var/www && php cron.php key123 threads scan_servers_route'
*/1 * * * * screen -dmS scan_servers_down bash -c 'cd /var/www && php cron.php key123 threads scan_servers_down'
*/10 * * * * screen -dmS notice_help bash -c 'cd /var/www && php cron.php key123 notice_help'
*/15 * * * * screen -dmS scan_servers_stop bash -c 'cd /var/www && php cron.php key123 threads scan_servers_stop'
*/15 * * * * screen -dmS scan_servers_copy bash -c 'cd /var/www && php cron.php key123 threads scan_servers_copy'
*/30 * * * * screen -dmS notice_server_overdue bash -c 'cd /var/www && php cron.php key123 notice_server_overdue'
*/30 * * * * screen -dmS preparing_web_delete bash -c 'cd /var/www && php cron.php key123 preparing_web_delete'
*/60 * * * * screen -dmS scan_servers_admins bash -c 'cd /var/www && php cron.php key123 threads scan_servers_admins'
*/1 * * * * screen -dmS control_delete bash -c 'cd /var/www && php cron.php key123 control_delete'
*/1 * * * * screen -dmS control_install bash -c 'cd /var/www && php cron.php key123 control_install'
*/1 * * * * sync; echo 1 > /proc/sys/vm/drop_caches
*/2 * * * * screen -dmS scan_control bash -c 'cd /var/www && php cron.php key123 scan_control'
*/2 * * * * screen -dmS control_scan_servers bash -c 'cd /var/www && php cron.php key123 control_threads control_scan_servers'
*/5 * * * * screen -dmS control_scan_servers_route bash -c 'cd /var/www && php cron.php key123 control_threads control_scan_servers_route'
*/1 * * * * screen -dmS control_scan_servers_down bash -c 'cd /var/www && php cron.php key123 control_threads control_scan_servers_down'
*/60 * * * * screen -dmS control_scan_servers_admins bash -c 'cd /var/www && php cron.php key123 control_threads control_scan_servers_admins'
*/15 * * * * screen -dmS control_scan_servers_copy bash -c 'cd /var/www && php cron.php key123 control_threads control_scan_servers_copy'
*/5 * * * * screen -dmS graph_servers_day bash -c 'cd /var/www && php cron.php key123 threads graph_servers_day' 
*/5 * * * * screen -dmS graph_servers_hour bash -c 'cd /var/www && php cron.php key123 threads graph_servers_hour'
") 2>&1 | grep -v "no crontab" | sort | uniq | crontab -
	chown root:crontab /var/spool/cron/crontabs/root
	log_t "• Перезагружаем ${red}крон!${green} •"
	service cron restart
	log_t "• Устанавливаем ${red}ioncube${green} •"
	cd /root
	wget https://downloads.ioncube.com/loader_downloads/ioncube_loaders_lin_x86-64.zip
	unzip ioncube_loaders_lin_x86-64.zip
	cp ioncube/ioncube_loader_lin_5.6.so /usr/lib/php5/20131226/ioncube_loader_lin_5.6.so
	rm -R ioncube*
	echo "zend_extension=ioncube_loader_lin_5.6.so">>"/etc/php5/apache2/php.ini"
	echo "zend_extension=ioncube_loader_lin_5.6.so">>"/etc/php5/cli/php.ini"
	log_t "• Перезагружаем ${red}Apache2${green} •"
	service apache2 restart
	log_t "• • Началась установка ${red}EGP${green} в каталог ${red}/var/www${green} • •"
	cd ~
	cd /var/www/
	rm -rf html
	wget $MIRROR/egpnew.zip
	unzip egpnew.zip
	rm egpnew.zip
	cd ~
	log_t "• Выдаем права на файлы •"
	chown -R www-data:www-data /var/www/
	chmod -R 775 /var/www/
	log_t "• Настраиваем время на сервере •"
	echo "Europe/Moscow" > /etc/timezone
	dpkg-reconfigure tzdata -f noninteractive
	sudo sed -i -r 's~^;date\.timezone =$~date.timezone = "Asia/Almaty"~' /etc/php5/cli/php.ini
	sudo sed -i -r 's~^;date\.timezone =$~date.timezone = "Asia/Almaty"~' /etc/php5/apache2/php.ini
	sed -i "s/AllowOverride None/AllowOverride All/g" /etc/apache2/apache2.conf
	log_t "• Создаем базу данных и загружаем дамп базы данных от ${red}egp${green} •"
	wget $MIRROR/egpnew.sql
	MP=$MYPASS
	VP=$VPASS
	IP=$DOMAIN
	IP1=$ipaddress
	sed -i "s/mysqlp/${MP}/g" /var/www/system/data/mysql.php	
	sed -i "s/shop.ftpby.ru/${IP}/g" /var/www/system/data/config.php
	sed -i "s/shop.ftpby.ru/${IP}/g" /var/www/system/data/config.php
	sed -i "s/shop.ftpby.ru/${IP}/g" /var/www/system/data/config.php
	sed -i "s/127.0.0.1/${IP}/g" /var/www/system/data/web.php
	sed -i "s/kgdfgjksad/${VP}/g" /var/www/system/data/web.php
	sed -i "s/domain.ru/${IP}/g" /var/www/system/data/web.php
	sed -i "s/domain.ru/${IP}/g" /var/www/system/acp/sections/hosting/index.php
	sed -i "s/0eWtEa0dEKRpaWOd/${MP}/g" /root/egpnew.sql
	sed -i "s/hacker890/${VP}/g" /root/egpnew.sql
	sed -i "s/egp.ftpby.ru/${IP}/g" /root/egpnew.sql
	sed -i "s/62.122.215.127:22/${IP1}/g" /root/egpnew.sql
	sed -i "s/passwords/${VP}/g" /root/egpnew.sql
	mysql -uroot -p$MYPASS -e "CREATE DATABASE panel CHARACTER SET utf8 COLLATE utf8_general_ci;"
	mysql -u root -p$MYPASS panel < egpnew.sql
	rm egpnew.sql
	log_t "• Устанавливаем необходимые пакеты для ${red}серверной части​${green} •"
	apt-get install -y lsb-release
	apt-get install -y lib32stdc++6
	apt-get install -y libreadline5
	OS=$(lsb_release -s -i -c -r | xargs echo |sed 's; ;-;g' | grep Ubuntu)
	if [ "$OS" = "" ]; then
		sudo dpkg --add-architecture i386
		sudo apt-get update
		sudo apt-get install -y gcc-multilib
	else
		cd /etc/apt/sources.list.d
		echo "deb http://old-releases.ubuntu.com/ubuntu/ raring main restricted universe multiverse" >ia32-libs-raring.list
		apt-get update
		sudo apt-get install -y gcc-multilib
	fi
	apt-get install -y sudo screen htop nano tcpdump ethstatus ssh zip unzip mc qstat gdb lib32gcc1 nload ntpdate lsof
	apt-get install -y lib32z1
	log_t "• Приступаем к установке ${red}Java 8${green} •"
	wget javadl.sun.com/webapps/download/AutoDL?BundleId=106240 -O jre-linux.tar.gz
	tar xvfz jre-linux.tar.gz 
	mkdir /usr/lib/jvm 
	mv jre1.8.0_45 /usr/lib/jvm/jre1.8.0_45 
	update-alternatives --install /usr/bin/java java /usr/lib/jvm/jre1.8.0_45/bin/java 1 
	update-alternatives --config java
	log_t "• Обновляем пакеты •"	
	apt-get update	
	log_t "• Устанавливаем ${red}Java 8${green} •"
	sudo apt-get -y install oracle-java8-installer
	log_t "• Устанавливаем и настраиваем ${red}iptables${green} + ${red}rclocal${green} •"
	rm rclocal; wget -O rclocal $MIRROR/rclocal.txt
	sed -i '14d' /etc/rc.local
	cat rclocal >> /etc/rc.local
	touch /root/iptables_block
	echo "UseDNS no" >> /etc/ssh/sshd_config
	echo "UTC=no" >> /etc/default/rcS
	rm -rf rclocal
	log_t "• Устанавливаем и настраиваем ${red}iptables${green} + ${red}geoip${green} •"
	sudo apt-get --yes --force-yes install xtables-addons-common
	sudo apt-get --yes --force-yes install libtext-csv-xs-perl libxml-csv-perl libtext-csv-perl unzip
	sudo mkdir -p /usr/share/xt_geoip/
	mkdir geoiptmp
	cd geoiptmp /usr/lib/xtables-addons/xt_geoip_dl
	sudo /usr/lib/xtables-addons/xt_geoip_build GeoIPv6.csv GeoIPCountryWhois.csv -D /usr/share/xt_geoip
	cd ~
	rm -rf geoiptmp
	log_t "• Включаем ${red}Nginx${green} для модуля ${red}FastDL${green} •"
	rm nginx; wget -O nginx $MIRROR/nginx.txt
	service apache2 stop
	apt-get install -y nginx
	mkdir -p /var/nginx/ 
	rm -rf /etc/nginx/nginx.conf
	mv nginx /etc/nginx/nginx.conf
	service nginx restart
	service apache2 start
	rm -rf nginx
	log_t "• Устанавливаем и настраиваем ${red}ProFTPd${green} •"
	rm proftpd; wget -O proftpd $MIRROR/proftpd.txt
	rm proftpd_modules; wget -O proftpd_modules $MIRROR/proftpd_modules.txt
	rm proftpd_sql; wget -O proftpd_sql $MIRROR/proftpd_sql.txt
	echo PURGE | debconf-communicate proftpd-basic
	echo proftpd-basic shared/proftpd/inetd_or_standalone select standalone | debconf-set-selections
	apt-get install -y proftpd-basic proftpd-mod-mysql
	rm -rf /etc/proftpd/proftpd.conf
	rm -rf /etc/proftpd/modules.conf
	rm -rf /etc/proftpd/sql.conf
	mv proftpd /etc/proftpd/proftpd.conf
	mv proftpd_modules /etc/proftpd/modules.conf
	mv proftpd_sql /etc/proftpd/sql.conf
	rm -rf proftpd
	rm -rf proftpd_modules
	rm -rf proftpd_sql
	mkdir -p /copy /servers /path/steam /var/nginx
	cd /path/steam && wget http://media.steampowered.com/client/steamcmd_linux.tar.gz && tar xvfz steamcmd_linux.tar.gz && rm steamcmd_linux.tar.gz
	cd ~
	groupmod -g 998 `cat /etc/group | grep :1000 | awk -F":" '{print $1}'`
	groupadd -g 1000 servers;
	chmod 711 /servers
	chown root:servers /servers
	chmod -R 755 /path
	chown root:servers /path
	chmod -R 750 /copy
	chown root:root /copy
	chmod -R 750 /etc/proftpd
	rm proftpd_sqldump; wget -O proftpd_sqldump $MIRROR/proftpd_sqldump.txt
	mysql -uroot -p$MYPASS -e "CREATE DATABASE ftp;";
	mysql -uroot -p$MYPASS -e "CREATE USER 'ftp'@'localhost' IDENTIFIED BY '$MYPASS2';";#
	mysql -uroot -p$MYPASS -e "GRANT ALL PRIVILEGES ON ftp . * TO 'ftp'@'localhost';";
	mysql -uroot -p$MYPASS ftp < proftpd_sqldump;
	rm -rf proftpd_sqldump
	sed -i 's/passwdfor/'$MYPASS'/g' /etc/proftpd/sql.conf
	log_t "• Перезагружаем ${red}FTP MySQL${green} •"
	service proftpd restart
	log_t "• Обновляем пакеты и веб сервисы •"
	apt-get update
	service restart apache2
	service mysql restart
	ln -s /usr/share/phpmyadmin /var/www/pma
	log_t "• • Завершаем установку ${red}EGP${green} на Debian 8• •"
		lines_1
		info_n "••••••••••••••••••••••••••••••••••••••••••••••••••••••••••"
		info_n "• Панель управления ${red}EGP ${YELLOW}установлена!"
		info_n "••••••••••••••••••••••••••••••••••••••••••••••••••••••••••"
		info_n "• Данные для входа в ${red}phpMyAdmin${YELLOW} и ${red}MySQL${green}:"
		info_n "• ${red}Логин${green}: ${YELLOW}root"
		info_n "• ${red}Пароль${green}: ${YELLOW}$MYPASS"
		info_n "••••••••••••••••••••••••••••••••••••••••••••••••••••••••••"
		info_n "• ${red}FTP пароль${YELLOW} от ${red}MySQL${green}: ${YELLOW}$MYPASS2"
		info_n "••••••••••••••••••••••••••••••••••••••••••••••••••••••••••"
		info_n "• Ссылка на ${red}EGP${green}: ${YELLOW}http://$DOMAIN/"
		info_n "• Ссылка на ${red}PhpMyAdmin${green}: ${YELLOW}http://$DOMAIN/phpmyadmin"
		info_n "••••••••••••••••••••••••••••••••••••••••••••••••••••••••••"
		info_n "• Данные для входа в панель управления${green}:"
		info_n "• ${red}Логин${green}: ${YELLOW}admin"
		info_n "• ${red}Пароль${green}: ${YELLOW}admin1"
		info_n "••••••••••••••••••••••••••••••••••••••••••••••••••••••••••"
		info_n "• ${red}Обязательно смените email и пароль после авторизации!"
		lines_1
	Info
	log_t "Спасибо, что установили ${red}EGP${green}, Не забудьте сохранить данные"
	Info "• ${red}3${green} - Установка Mysql_Config_Editor(${red}(устанавливать сразу после установки EGP) скопируйте пароль${green}: ${YELLOW}$MYPASS"
	Info "• ${red}1${green} - Установить игры"
	Info "• ${red}0${green} - В главное меню"
	Info
	read -p "Пожалуйста, введите номер меню: " case
	case $case in
		3) install_mce;;
		1) install_games;;
		0) menu;;
	esac
}
install_debian9()
{
echo "${YELLOW}-----------------------------------------------------------"
	Info "Здравствуйте, данный скрипт поможет Вам установить ${red}EGP${green}
После установки вам потребуется установить игры.
Тарифы в панели уже созданы для всех игр и всех версий билдов. 
Скрипт установит за вас ВСЁ кроме игр!"
echo "${YELLOW}-----------------------------------------------------------"
while true; do
	read -p "${green}Вы уверены, что хотите установить полностью ${red}EGP${green}?(${red}Y${green}/${red}N${green}): " yn
	case $yn in
		[Yy]* ) break;;
		[Nn]* ) menu;;
		* ) echo "Ответьте, пожалуйста ${red}Y${green} или ${red}N${green}.";;
	esac
done
	read -p "${CYAN}Пожалуйста, введите ${red}домен ${CYAN}для работы ${red}с web модулями${green}: ${yellow}" DOMAIN
	Info "Здравствуйте, скопируйте ${red}IP${green} от сервера, и вставьте правой кнопкой мышь 
Либо Ведите с клавиатурой"
	read -p "${CYAN}Пожалуйста, введите ${red}IP${CYAN} от сервера${green}: ${yellow}" ipaddress
	Info "Пожалуйста, скопируйте ${red}пароль${green} от сервера, и вставьте правой кнопкой мышь
Либо Ведите с клавиатурой"
	read -p "${CYAN}Введите пароль от сервера${green}: ${yellow}" VPASS
	log_t "• Начинаем установку ${red}EGP${green} •"
	log_t "• Обновляем пакеты •"
	apt-get update
	log_t "• Устанавливаем пакеты! •"
	apt-get install -y apt-utils
	apt-get install -y pwgen
	apt-get install -y wget
	apt-get install sudo
	apt-get install -y dialog
	MYPASS=$(pwgen -cns -1 16)
	MYPASS2=$(pwgen -cns -1 16)
	OS=$(lsb_release -s -i -c -r | xargs echo |sed 's; ;-;g' | grep Ubuntu)
	if [ "$OS" = "" ]; then
		log_t "• Добавляем репозиторий •"
		echo "deb http://ftp.ru.debian.org/debian/ stretch main" > /etc/apt/sources.list
		echo "deb-src http://ftp.ru.debian.org/debian/ stretch main" >> /etc/apt/sources.list
		echo "deb http://security.debian.org/ stretch/updates main" >> /etc/apt/sources.list
		echo "deb-src http://security.debian.org/ stretch/updates main" >> /etc/apt/sources.list
		echo "deb http://ftp.ru.debian.org/debian/ stretch-updates main" >> /etc/apt/sources.list
		echo "deb-src http://ftp.ru.debian.org/debian/ stretch-updates main" >> /etc/apt/sources.list
		wget http://www.dotdeb.org/dotdeb.gpg
		apt-key add dotdeb.gpg
		rm dotdeb.gpg
		log_t "• Обновляем пакеты •"
		apt-get update
	fi
	log_t "• Обновляем пакеты •"
apt-get upgrade -y
sudo apt-get update 
sudo apt-get - y upgrade
sudo apt-get install -y ca-certificates apt-transport-https 
wget -q https://packages.sury.org/php/apt.gpg -O- | sudo apt-key add -
echo "deb https://packages.sury.org/php/ stretch main" | sudo tee /etc/apt/sources.list.d/php.list
apt-get update
	log_t "• Устанавливаем пакеты! •"
	apt-get install -y php5.6
	sudo apt-get install -y php5.6-cli php5.6-common php5.6-curl php5.6-mbstring php5.6-mysql php5.6-xml
	apt-get install -y apache2 cron unzip sudo nano
	apt-get install -y php-memcache
	apt-get install -y php-memcached
	apt-get install -y memcached
	apt-get install -y php5.6-gd
	log_t "• Включаем модуль ${red}Apache2${green} •"
	a2enmod php5.6
	service apache2 restart
	log_t "• Устанавливаем ${red}mysql-server ${red}5${green}.${red}6${green} •"
	echo mysql-apt-config mysql-apt-config/select-server select mysql-5.6 | debconf-set-selections
	echo mysql-apt-config mysql-apt-config/select-product select Ok | debconf-set-selections
	wget https://dev.mysql.com/get/mysql-apt-config_0.8.7-1_all.deb
	export DEBIAN_FRONTEND=noninteractive
	dpkg -i mysql-apt-config_0.8.7-1_all.deb 
    apt-get update
	apt-get --yes --force-yes install mysql-server
	sudo mysql_upgrade -u root -p$MYPASS --force --upgrade-system-tables
	service mysql restart
	rm mysql-apt-config_0.8.7-1_all.deb
	cd ~
	log_t "• Устанавливаем ${red}phpMyAdmin${green} •"
	echo "phpmyadmin phpmyadmin/dbconfig-install boolean true" | debconf-set-selections
	echo "phpmyadmin phpmyadmin/mysql/admin-user string root" | debconf-set-selections
	echo "phpmyadmin phpmyadmin/mysql/admin-pass password $MYPASS" | debconf-set-selections
	echo "phpmyadmin phpmyadmin/mysql/app-pass password $MYPASS" |debconf-set-selections
	echo "phpmyadmin phpmyadmin/app-password-confirm password $MYPASS" | debconf-set-selections
	echo 'phpmyadmin phpmyadmin/reconfigure-webserver multiselect apache2' | debconf-set-selections
	apt-get install -y phpmyadmin
	log_t "• Устанавливаем библиотеку ${red}SSH2${green} •"
	if [ "$OS" = "" ]; then
	apt-get install -y curl php5.6-ssh2
	else
	apt-get install -y libssh2-php
	fi	
	log_t "• Создаем хост в ${red}Apache2${green} - создание файлов виртуальных хостов •"
	mv /etc/apache2/sites-available/000-default.conf /etc/apache2/sites-available/.000-default.conf
	FILE='/etc/apache2/sites-available/000-default.conf'
		echo "<VirtualHost *:80>">$FILE
		echo "	ServerName $DOMAIN">>$FILE
		echo "	DocumentRoot /var/www">>$FILE
		echo "	<Directory /var/www/>">>$FILE
		echo "	Options Indexes FollowSymLinks MultiViews">>$FILE
		echo "	AllowOverride All">>$FILE
		echo "	Order allow,deny">>$FILE
		echo "	allow from all">>$FILE
		echo "	</Directory>">>$FILE
		echo "	ErrorLog \${APACHE_LOG_DIR}/error.log">>$FILE
		echo "	LogLevel warn">>$FILE
		echo "	CustomLog \${APACHE_LOG_DIR}/access.log combined">>$FILE
		echo "</VirtualHost>">>$FILE
	log_t "• Перезагружаем ${red}Apache2${green} •"
	service apache2 restart	
	log_t "• Включаем модуль ${red}mod_rewrite${green} для ${red}Apache2${green} •"
	a2enmod rewrite
	log_t "• Перезагружаем ${red}Apache2${green} •"
	service apache2 restart	
	log_t "• Добавляем ${red}Cron задания${green} •"
	(crontab -l ; echo "*/2 * * * * screen -dmS scan_servers bash -c 'cd /var/www && php cron.php key123 threads scan_servers'
*/2 * * * * screen -dmS scan_servers bash -c 'cd /var/www && php cron.php key123 threads scan_servers'
*/5 * * * * screen -dmS scan_servers_load bash -c 'cd /var/www && php cron.php key123 threads scan_servers_load'
*/5 * * * * screen -dmS scan_servers_route bash -c 'cd /var/www && php cron.php key123 threads scan_servers_route'
*/1 * * * * screen -dmS scan_servers_down bash -c 'cd /var/www && php cron.php key123 threads scan_servers_down'
*/10 * * * * screen -dmS notice_help bash -c 'cd /var/www && php cron.php key123 notice_help'
*/15 * * * * screen -dmS scan_servers_stop bash -c 'cd /var/www && php cron.php key123 threads scan_servers_stop'
*/15 * * * * screen -dmS scan_servers_copy bash -c 'cd /var/www && php cron.php key123 threads scan_servers_copy'
*/30 * * * * screen -dmS notice_server_overdue bash -c 'cd /var/www && php cron.php key123 notice_server_overdue'
*/30 * * * * screen -dmS preparing_web_delete bash -c 'cd /var/www && php cron.php key123 preparing_web_delete'
*/60 * * * * screen -dmS scan_servers_admins bash -c 'cd /var/www && php cron.php key123 threads scan_servers_admins'
*/1 * * * * screen -dmS control_delete bash -c 'cd /var/www && php cron.php key123 control_delete'
*/1 * * * * screen -dmS control_install bash -c 'cd /var/www && php cron.php key123 control_install'
*/1 * * * * sync; echo 1 > /proc/sys/vm/drop_caches
*/2 * * * * screen -dmS scan_control bash -c 'cd /var/www && php cron.php key123 scan_control'
*/2 * * * * screen -dmS control_scan_servers bash -c 'cd /var/www && php cron.php key123 control_threads control_scan_servers'
*/5 * * * * screen -dmS control_scan_servers_route bash -c 'cd /var/www && php cron.php key123 control_threads control_scan_servers_route'
*/1 * * * * screen -dmS control_scan_servers_down bash -c 'cd /var/www && php cron.php key123 control_threads control_scan_servers_down'
*/60 * * * * screen -dmS control_scan_servers_admins bash -c 'cd /var/www && php cron.php key123 control_threads control_scan_servers_admins'
*/15 * * * * screen -dmS control_scan_servers_copy bash -c 'cd /var/www && php cron.php key123 control_threads control_scan_servers_copy'
*/5 * * * * screen -dmS graph_servers_day bash -c 'cd /var/www && php cron.php key123 threads graph_servers_day' 
*/5 * * * * screen -dmS graph_servers_hour bash -c 'cd /var/www && php cron.php key123 threads graph_servers_hour'
") 2>&1 | grep -v "no crontab" | sort | uniq | crontab -
	chown root:crontab /var/spool/cron/crontabs/root
	log_t "• Перезагружаем ${red}крон!${green} •"
	service cron restart
	log_t "• Перезагружаем ${red}Apache2${green} •"
	service apache2 restart
	log_t "• • Началась установка ${red}EGP${green} в каталог ${red}/var/www${green} • •"
	cd ~
	cd /var/www/
	rm -rf html
	wget $MIRROR/egpnew.zip
	unzip egpnew.zip
	rm egpnew.zip
	cd ~
	log_t "• Выдаем права на файлы •"
	chown -R www-data:www-data /var/www/
	chmod -R 775 /var/www/
	log_t "• Настраиваем время на сервере •"
	echo "Europe/Moscow" > /etc/timezone
	dpkg-reconfigure tzdata -f noninteractive
	sudo sed -i -r 's~^;date\.timezone =$~date.timezone = "Europe/Moscow"~' /etc/php5/cli/php.ini
	sudo sed -i -r 's~^;date\.timezone =$~date.timezone = "Europe/Moscow"~' /etc/php5/apache2/php.ini
	sed -i "s/AllowOverride None/AllowOverride All/g" /etc/apache2/apache2.conf
	log_t "• Создаем базу данных и загружаем дамп базы данных от ${red}EngineGP${green} •"
	wget $MIRROR/egpnew.sql
	MP=$MYPASS
	VP=$VPASS
	IP=$DOMAIN
	IP1=$ipaddress
	sed -i "s/mysqlp/${MP}/g" /var/www/system/data/mysql.php	
	sed -i "s/shop.ftpby.ru/${IP}/g" /var/www/system/data/config.php
	sed -i "s/shop.ftpby.ru/${IP}/g" /var/www/system/data/config.php
	sed -i "s/shop.ftpby.ru/${IP}/g" /var/www/system/data/config.php
	sed -i "s/127.0.0.1/${IP}/g" /var/www/system/data/web.php
	sed -i "s/kgdfgjksad/${VP}/g" /var/www/system/data/web.php
	sed -i "s/domain.ru/${IP}/g" /var/www/system/data/web.php
	sed -i "s/domain.ru/${IP}/g" /var/www/system/acp/sections/hosting/index.php
	sed -i "s/0eWtEa0dEKRpaWOd/${MP}/g" /root/egpnew.sql
	sed -i "s/hacker890/${VP}/g" /root/egpnew.sql
	sed -i "s/egp.ftpby.ru/${IP}/g" /root/egpnew.sql
	sed -i "s/62.122.215.127:22/${IP1}/g" /root/egpnew.sql
	sed -i "s/passwords/${VP}/g" /root/egpnew.sql
	mysql -uroot -p$MYPASS -e "CREATE DATABASE panel CHARACTER SET utf8 COLLATE utf8_general_ci;"
	mysql -u root -p$MYPASS panel < egpnew.sql
	rm egpnew.sql
	log_t "• Устанавливаем необходимые пакеты для ${red}серверной части​${green} •"
	apt-get install -y lsb-release
	apt-get install -y lib32stdc++6
	apt-get install -y libreadline5
	OS=$(lsb_release -s -i -c -r | xargs echo |sed 's; ;-;g' | grep Ubuntu)
	if [ "$OS" = "" ]; then
		sudo dpkg --add-architecture i386
		sudo apt-get update
	    sudo apt-get install -y gcc-multilib
	else
		cd /etc/apt/sources.list.d
		echo "deb http://old-releases.ubuntu.com/ubuntu/ raring main restricted universe multiverse" >ia32-libs-raring.list
		apt-get update
		sudo apt-get install -y gcc-multilib
	fi
	apt-get install -y sudo screen htop nano tcpdump ethstatus ssh zip unzip mc qstat gdb lib32gcc1 nload ntpdate lsof
	apt-get install -y lib32z1
	log_t "• Приступаем к установке ${red}Java 8${green} •"
	apt-get install -y software-properties-common dirmngr
	add-apt-repository "deb http://ppa.launchpad.net/webupd8team/java/ubuntu yakkety main"
	apt-key adv --keyserver keyserver.ubuntu.com --recv-keys C2518248EEA14886
	log_t "• Обновляем пакеты •"	
	apt-get update	
	log_t "• Устанавливаем ${red}Java 8${green} •"
	sudo apt-get -y install oracle-java8-installer
	log_t "• Устанавливаем и настраиваем ${red}iptables${green} + ${red}rclocal${green} •"
	rm rclocal; wget -O rclocal $MIRROR/rclocal.txt
	sed -i '14d' /etc/rc.local
	cat rclocal >> /etc/rc.local
	touch /root/iptables_block
	echo "UseDNS no" >> /etc/ssh/sshd_config
	echo "UTC=no" >> /etc/default/rcS
	rm -rf rclocal
	log_t "• Устанавливаем и настраиваем ${red}iptables${green} + ${red}geoip${green} •"
	sudo apt-get --yes --force-yes install xtables-addons-common
	sudo apt-get --yes --force-yes install libtext-csv-xs-perl libxml-csv-perl libtext-csv-perl unzip
	sudo mkdir -p /usr/share/xt_geoip/
	mkdir geoiptmp
	cd geoiptmp
	/usr/lib/xtables-addons/xt_geoip_dl
	sudo /usr/lib/xtables-addons/xt_geoip_build GeoIPv6.csv GeoIPCountryWhois.csv -D /usr/share/xt_geoip
	cd ~
	rm -rf geoiptmp
	log_t "• Включаем ${red}Nginx${green} для модуля ${red}FastDL${green} •"
	rm nginx; wget -O nginx $MIRROR/nginx.txt
	service apache2 stop
	apt-get install -y nginx
	mkdir -p /var/nginx/ 
	rm -rf /etc/nginx/nginx.conf
	mv nginx /etc/nginx/nginx.conf
	service nginx restart
	service apache2 start
	rm -rf nginx
	log_t "• Устанавливаем и настраиваем ${red}ProFTPd${green} •"
	mkdir /root/save
	cp /etc/apt/sources.list /root/save/
	rm -r /etc/apt/sources.list
	cd /etc/apt/
	wget $MIRROR/sources.list
	apt-get update
	rm proftpd; wget -O proftpd $MIRROR/proftpd.txt
	rm proftpd_modules; wget -O proftpd_modules $MIRROR/proftpd_modules.txt
	rm proftpd_sql; wget -O proftpd_sql $MIRROR/proftpd_sql.txt
	echo PURGE | debconf-communicate proftpd-basic
	echo proftpd-basic shared/proftpd/inetd_or_standalone select standalone | debconf-set-selections
	apt-get install --allow-unauthenticated -y proftpd-basic proftpd-mod-mysql
	rm -rf /etc/proftpd/proftpd.conf
	rm -rf /etc/proftpd/modules.conf
	rm -rf /etc/proftpd/sql.conf
	mv proftpd /etc/proftpd/proftpd.conf
	mv proftpd_modules /etc/proftpd/modules.conf
	mv proftpd_sql /etc/proftpd/sql.conf
	rm -rf proftpd
	rm -rf proftpd_modules
	rm -rf proftpd_sql
	mkdir -p /copy /servers /path/steam /var/nginx
	cd /path/steam && wget http://media.steampowered.com/client/steamcmd_linux.tar.gz && tar xvfz steamcmd_linux.tar.gz && rm steamcmd_linux.tar.gz
	cd ~
	groupmod -g 998 `cat /etc/group | grep :1000 | awk -F":" '{print $1}'`
	groupadd -g 1000 servers;
	chmod 711 /servers
	chown root:servers /servers
	chmod -R 755 /path
	chown root:servers /path
	chmod -R 750 /copy
	chown root:root /copy
	chmod -R 750 /etc/proftpd
	rm proftpd_sqldump; wget -O proftpd_sqldump $MIRROR/proftpd_sqldump.txt
	mysql -uroot -p$MYPASS -e "CREATE DATABASE ftp;";
	mysql -uroot -p$MYPASS -e "CREATE USER 'ftp'@'localhost' IDENTIFIED BY '$MYPASS2';";#
	mysql -uroot -p$MYPASS -e "GRANT ALL PRIVILEGES ON ftp . * TO 'ftp'@'localhost';";
	mysql -uroot -p$MYPASS ftp < proftpd_sqldump;
	rm -rf proftpd_sqldump
	sed -i 's/passwdfor/'$MYPASS'/g' /etc/proftpd/sql.conf
	log_t "• Перезагружаем ${red}FTP MySQL${green} •"
	service proftpd restart
	rm -r /etc/apt/sources.list
	cp /root/save/sources.list /etc/apt/
	rm -r /root/save
	cd /var/www/
	wget $MIRROR/htaccess.zip
	unzip htaccess.zip
	rm -r /var/www/htaccess.zip
	cd ~
	apt-get update
	log_t "• Обновляем пакеты и веб сервисы •"
	apt-get update
	service restart apache2
	service mysql restart
	ln -s /usr/share/phpmyadmin /var/www/pma
	log_t "• • Завершаем установку ${red}EGP${green} на Debian 9 • •"
		lines_1
		info_n "-----------------------------------------------------------"
		info_n "• Панель управления ${red}EGP ${YELLOW}установлена!"
		info_n "-----------------------------------------------------------"
		info_n "• Данные для входа в ${red}phpMyAdmin${YELLOW} и ${red}MySQL${green}:"
		info_n "• ${red}Логин${green}: ${YELLOW}root"
		info_n "• ${red}Пароль${green}: ${YELLOW}$MYPASS"
		info_n "-----------------------------------------------------------"
		info_n "• ${red}FTP пароль${YELLOW} от ${red}MySQL${green}: ${YELLOW}$MYPASS2"
		info_n "-----------------------------------------------------------"
		info_n "• Ссылка на ${red}EGP${green}: ${YELLOW}http://$DOMAIN/"
		info_n "• Ссылка на ${red}PhpMyAdmin${green}: ${YELLOW}http://$DOMAIN/phpmyadmin"
		info_n "-----------------------------------------------------------"
		info_n "• Данные для входа в панель управления${green}:"
		info_n "• ${red}Логин${green}: ${YELLOW}admin"
		info_n "• ${red}Пароль${green}: ${YELLOW}admin1"
		info_n "-----------------------------------------------------------"
		info_n "• ${red}Обязательно смените email и пароль после авторизации!"
		lines_1
	Info
	log_t "Спасибо, что установили ${red}EGP${green}, Не забудьте сохранить данные"
	Info "• ${red}3${green} - Установка Mysql_Config_Editor(${red}устанавливать сразу после установки EGP) скопируйте пароль${green}: ${YELLOW}$MYPASS"
	Info "• ${red}1${green} - Установить игры"
	Info "• ${red}0${green} - В главное меню"
	Info
	read -p "Пожалуйста, введите номер меню: " case
	case $case in
		3) install_mce;;
		1) install_games;;
		0) menu;;
	esac
}
settings_location()
{
echo "${YELLOW}-------------------------------------------------------------------------------"
	Info "Здравствуйте, данный скрипт Вам настроить полностью Локацию под ${red}EGP${green}
Вам после настройки Локации:
1)Нужно установить игры с нашего автоустановщика
2)После добавить локацию через Админ Панель
Тарифы в панели уже созданы для всех игр и всех версий билдов.
Если вы устанавливали панель вручную и не через наш автоустановщик тогда:
3)Вам нужно для каждой игры создавать тариф через Админ Панель"
echo "${YELLOW}-------------------------------------------------------------------------------"
while true; do
    read -p "${green}Вы уверены, что хотите настроить локацию под ${red}EGP${green}?(${red}Yes${green}/${red}No${green}) (на одной машине не выполнять!)" yn
    case $yn in
        [Yy]* ) break;;
        [Nn]* ) exit;;
        * ) echo "Ответьте, пожалуйста ${red}Yes${green} или ${red}No${green}.";;
    esac
done
Info "Здравствуйте, скопируйте ${red}IP${green} от Putty, и вставьте правой кнопкой мышь 
Либо Ведите с клавиатурой"
read -p "${CYAN}Пожалуйста, введите ${red}IP${CYAN} от Putty${green}:${yellow}" ipaddress
Info "Пожалуйста, скопируйте ${red}пароль${green} от Putty, и вставьте правой кнопкой мышь
Либо Ведите с клавиатурой"
read -p "${CYAN}Введите пароль от Putty${green}:${yellow}" VPASS
log_t "• Начинаем настраивать локацию под ${red}EGP${green} •"
	log_t "• Обновляем пакеты •"
	apt-get update
    log_t "• Устанавливаем пакеты! •"
	apt-get install -y apt-utils
	apt-get install -y pwgen
	apt-get install -y dialog
	MYPASS=$(pwgen -cns -1 16)
	MYPASS2=$(pwgen -cns -1 16)
	OS=$(lsb_release -s -i -c -r | xargs echo |sed 's; ;-;g' | grep Ubuntu)
	if [ "$OS" = "Debian8" ]; then
		log_t "• Добавляем репозиторий •"
		echo "deb http://ftp.ru.debian.org/debian/ jessie main" > /etc/apt/sources.list
		echo "deb-src http://ftp.ru.debian.org/debian/ jessie main" >> /etc/apt/sources.list
		echo "deb http://security.debian.org/ jessie/updates main" >> /etc/apt/sources.list
		echo "deb-src http://security.debian.org/ jessie/updates main" >> /etc/apt/sources.list
		echo "deb http://ftp.ru.debian.org/debian/ jessie-updates main" >> /etc/apt/sources.list
		echo "deb-src http://ftp.ru.debian.org/debian/ jessie-updates main" >> /etc/apt/sources.list
		log_t "• Обновляем пакеты •"
		apt-get update
	fi
	if [ "$OS" = "Debian7" ]; then
		log_t "• Добавляем репозиторий •"
		echo "deb http://ftp.ru.debian.org/debian/ wheezy main" > /etc/apt/sources.list
		echo "deb-src http://ftp.ru.debian.org/debian/ wheezy main" >> /etc/apt/sources.list
		echo "deb http://security.debian.org/ wheezy/updates main" >> /etc/apt/sources.list
		echo "deb-src http://security.debian.org/ wheezy/updates main" >> /etc/apt/sources.list
		echo "deb http://ftp.ru.debian.org/debian/ wheezy-updates main" >> /etc/apt/sources.list
		echo "deb-src http://ftp.ru.debian.org/debian/ wheezy-updates main" >> /etc/apt/sources.list
		log_t "• Обновляем пакеты •"
		apt-get update
	fi
	if [ "$OS" = "Debian9" ]; then
		log_t "• Добавляем репозиторий •"
		echo "deb http://ftp.ru.debian.org/debian/ stretch main" > /etc/apt/sources.list
		echo "deb-src http://ftp.ru.debian.org/debian/ stretch main" >> /etc/apt/sources.list
		echo "deb http://security.debian.org/ stretch/updates main" >> /etc/apt/sources.list
		echo "deb-src http://security.debian.org/ stretch/updates main" >> /etc/apt/sources.list
		echo "deb http://ftp.ru.debian.org/debian/ stretch-updates main" >> /etc/apt/sources.list
		echo "deb-src http://ftp.ru.debian.org/debian/ stretch-updates main" >> /etc/apt/sources.list
		wget http://www.dotdeb.org/dotdeb.gpg
		apt-key add dotdeb.gpg
		rm dotdeb.gpg
		log_t "• Обновляем пакеты •"
		apt-get update
    fi
	log_t "• Обновляем пакеты •"
	apt-get upgrade -y
	echo mysql-server mysql-server/root_password select "$MYPASS" | debconf-set-selections
	echo mysql-server mysql-server/root_password_again select "$MYPASS" | debconf-set-selections
	log_t "• Устанавливаем пакеты! •"
	apt-get install -y apache2 php5 php5-dev cron unzip sudo nano php5-curl php5-memcache php5-json memcached mysql-server php5-mysql libapache2-mod-php5 php-pear
	log_t "• Включаем модуль ${red}Apache2${green} •"
	a2enmod php5
	service apache2 restart
	log_t "• Устанавливаем ${red}phpMyAdmin${green} •"
	echo "phpmyadmin phpmyadmin/dbconfig-install boolean true" | debconf-set-selections
	echo "phpmyadmin phpmyadmin/mysql/admin-user string root" | debconf-set-selections
	echo "phpmyadmin phpmyadmin/mysql/admin-pass password $MYPASS" | debconf-set-selections
	echo "phpmyadmin phpmyadmin/mysql/app-pass password $MYPASS" |debconf-set-selections
	echo "phpmyadmin phpmyadmin/app-password-confirm password $MYPASS" | debconf-set-selections
	echo 'phpmyadmin phpmyadmin/reconfigure-webserver multiselect apache2' | debconf-set-selections
	apt-get install -y phpmyadmin
	log_t "• Устанавливаем ${red}mysql-server ${red}5${green}.${red}6${green} •"
	echo mysql-apt-config mysql-apt-config/select-server select mysql-5.6 | debconf-set-selections
	echo mysql-apt-config mysql-apt-config/select-product select Ok | debconf-set-selections
	wget https://dev.mysql.com/get/mysql-apt-config_0.8.7-1_all.deb
	export DEBIAN_FRONTEND=noninteractive
	dpkg -i mysql-apt-config_0.8.7-1_all.deb 
    apt-get update
	apt-get --yes --force-yes install mysql-server
	sudo mysql_upgrade -u root -p$MYPASS --force --upgrade-system-tables
	service mysql restart
	rm mysql-apt-config_0.8.7-1_all.deb
	cd ~
	log_t "• Настраиваем время на сервере •"
	echo "Europe/Moscow" > /etc/timezone
	dpkg-reconfigure tzdata -f noninteractive
	sudo sed -i -r 's~^;date\.timezone =$~date.timezone = "Europe/Moscow"~' /etc/php5/cli/php.ini
    sudo sed -i -r 's~^;date\.timezone =$~date.timezone = "Europe/Moscow"~' /etc/php5/apache2/php.ini
	log_t "• Устанавливаем необходимые пакеты для ${red}серверной части​${green} •"
	apt-get install -y lsb-release
	apt-get install -y lib32stdc++6
	apt-get install -y libreadline5
	OS=$(lsb_release -s -i -c -r | xargs echo |sed 's; ;-;g' | grep Ubuntu)
	if [ "$OS" = "" ]; then
		sudo dpkg --add-architecture i386
		sudo apt-get update 
		sudo apt-get install -y ia32-libs
		sudo apt-get install -y gcc-multilib
	else
		cd /etc/apt/sources.list.d
		echo "deb http://old-releases.ubuntu.com/ubuntu/ raring main restricted universe multiverse" >ia32-libs-raring.list
		apt-get update
		apt-get install -y ia32-libs
		sudo apt-get install -y gcc-multilib
	fi
	apt-get install -y sudo screen htop nano tcpdump ethstatus ssh zip unzip mc qstat gdb lib32gcc1 nload ntpdate lsof
	apt-get install -y lib32z1
	log_t "• Приступаем к установке ${red}Java 8${green} •"
	wget javadl.sun.com/webapps/download/AutoDL?BundleId=106240 -O jre-linux.tar.gz ///
	tar xvfz jre-linux.tar.gz 
	mkdir /usr/lib/jvm 
	mv jre1.8.0_45 /usr/lib/jvm/jre1.8.0_45 
	update-alternatives --install /usr/bin/java java /usr/lib/jvm/jre1.8.0_45/bin/java 1 
	update-alternatives --config java
	log_t "• Обновляем пакеты •"	
	apt-get update	
	log_t "• Устанавливаем ${red}Java 8${green} •"
	sudo apt-get -y install oracle-java8-installer
	log_t "• Устанавливаем и настраиваем ${red}iptables${green} + ${red}rclocal${green} •"
	rm rclocal; wget -O rclocal $MIRROR/rclocal.txt
	sed -i '14d' /etc/rc.local
	cat rclocal >> /etc/rc.local
	touch /root/iptables_block
	echo "UseDNS no" >> /etc/ssh/sshd_config
	echo "UTC=no" >> /etc/default/rcS
	rm -rf rclocal
	log_t "• Устанавливаем и настраиваем ${red}iptables${green} + ${red}geoip${green} •"
	sudo apt-get --yes --force-yes install xtables-addons-common
	sudo apt-get --yes --force-yes install libtext-csv-xs-perl libxml-csv-perl libtext-csv-perl unzip
	sudo mkdir -p /usr/share/xt_geoip/
	mkdir geoiptmp
	cd geoiptmp
	/usr/lib/xtables-addons/xt_geoip_dl
	sudo /usr/lib/xtables-addons/xt_geoip_build GeoIPv6.csv GeoIPCountryWhois.csv -D /usr/share/xt_geoip
	cd ~
	rm -rf geoiptmp
	log_t "• Включаем ${red}Nginx${green} для модуля ${red}FastDL${green} •"
	rm nginx; wget -O nginx $MIRROR/nginx.txt
	service apache2 stop
	apt-get install -y nginx
	mkdir -p /var/nginx/ 
	rm -rf /etc/nginx/nginx.conf
	mv nginx /etc/nginx/nginx.conf
	service nginx restart
	service apache2 start
	rm -rf nginx
	log_t "• Устанавливаем и настраиваем ${red}ProFTPd${green} •"
	rm proftpd; wget -O proftpd $MIRROR/proftpd.txt
	rm proftpd_modules; wget -O proftpd_modules $MIRROR/proftpd_modules.txt
	rm proftpd_sql; wget -O proftpd_sql $MIRROR/proftpd_sql.txt
	echo PURGE | debconf-communicate proftpd-basic
	echo proftpd-basic shared/proftpd/inetd_or_standalone select standalone | debconf-set-selections
	apt-get install -y proftpd-basic proftpd-mod-mysql
	rm -rf /etc/proftpd/proftpd.conf
	rm -rf /etc/proftpd/modules.conf
	rm -rf /etc/proftpd/sql.conf
	mv proftpd /etc/proftpd/proftpd.conf
	mv proftpd_modules /etc/proftpd/modules.conf
	mv proftpd_sql /etc/proftpd/sql.conf
	rm -rf proftpd
	rm -rf proftpd_modules
	rm -rf proftpd_sql
	mkdir -p /copy /servers /path/steam /var/nginx
	cd /path/steam && wget http://media.steampowered.com/client/steamcmd_linux.tar.gz && tar xvfz steamcmd_linux.tar.gz && rm steamcmd_linux.tar.gz
	cd ~
	groupmod -g 998 `cat /etc/group | grep :1000 | awk -F":" '{print $1}'`
    groupadd -g 1000 servers;
	chmod 711 /servers
	chown root:servers /servers
	chmod -R 755 /path
	chown root:servers /path
	chmod -R 750 /copy
	chown root:root /copy
	chmod -R 750 /etc/proftpd
	rm proftpd_sqldump; wget -O proftpd_sqldump $MIRROR/proftpd_sqldump.txt
	mysql -uroot -p$MYPASS -e "CREATE DATABASE ftp;";
	mysql -uroot -p$MYPASS -e "CREATE USER 'ftp'@'localhost' IDENTIFIED BY '$MYPASS2';";#
	mysql -uroot -p$MYPASS -e "GRANT ALL PRIVILEGES ON ftp . * TO 'ftp'@'localhost';";
	mysql -uroot -p$MYPASS ftp < proftpd_sqldump;
	rm -rf proftpd_sqldump
	sed -i 's/passwdfor/'$MYPASS'/g' /etc/proftpd/sql.conf
	log_t "• Перезагружаем ${red}FTP MySQL${green} •"
	service proftpd restart
	log_t "• Обновляем пакеты и веб сервисы •"
	apt-get update
	service restart apache2
	service mysql restart
	log_t "• • Завершаем настройку локации под ${red}EGP${green}  • •"
		lines_1
		info_n "••••••••••••••••••••••••••••••••••••••••••••••••••••••••••"
		info_n "• Локация успешно настроена под ${red}EGP"
		info_n "••••••••••••••••••••••••••••••••••••••••••••••••••••••••••"
		info_n "• Данные для входа в ${red}phpMyAdmin${YELLOW} и ${red}MySQL${green}:"
		info_n "• ${red}Логин${green}:${YELLOW}root"
		info_n "• ${red}Пароль${green}:${YELLOW}$MYPASS"
		info_n "• ${red}Пароль${YELLOW} от базы данных ${red}ftp${green}:${YELLOW}$MYPASS2"
		info_n "• Ссылка на ${red}PhpMyAdmin${green}:${YELLOW}http://$ipaddress/phpmyadmin"
		info_n "••••••••••••••••••••••••••••••••••••••••••••••••••••••••••"
		info_n "• Данные адреса и пароля:"
		info_n "• Адрес${green}:${YELLOW}$ipaddress${green}:${YELLOW}22"
		info_n "• Пароль${green}:${YELLOW}$VPASS"
		info_n "••••••••••••••••••••••••••••••••••••••••••••••••••••••••••"
		info_n "• Данные от FTP:"
		info_n "• ${red}SQL_Логин${green}:${YELLOW}root"
		info_n "• ${red}SQL_Пароль${green}:${YELLOW}$MYPASS"
		info_n "• ${red}SQL_FileTP${green}:${YELLOW}ftp"
		info_n "• ${red}SQL_Порт${green}:${YELLOW}3306"
		info_n "••••••••••••••••••••••••••••••••••••••••••••••••••••••••••"
		info_n "• ${yellow}Скопируйте все данные и сохраните в файле .txt"
		info_n "• ${red}Данные вам пригодятся при добавлении Локации через Админ Панель"
		lines_1
	Info
	log_t "Спасибо, что настроили Локацию под ${red}EGP${green}, Не забудьте сохранить данные"
	Info "• ${red}1${green} - Установить игры"
	Info "• ${red}0${green} - Выйти из установщик"
	Info
	read -p "Пожалуйста, введите номер меню:" case
	case $case in
	    1) install_games;;
		0) exit;;
	esac
}
install_games()
{
	clear
	wow
	log_tt "Список доступных игр"
	Info "• ${red}1${green} ♦ Counter-Strike: 1.6 [Версия:6153 ReHLDS]"
	Info "• ${red}2${green} ♦ Counter-Strike: Source [Версия: Steam]"
	Info "• ${red}3${green} ♦ Counter-Strike: Source v34 [Версия: Последняя]"
	Info "• ${red}4${green} ♦ Counter-Strike: GO [Версия: Steam]"
	Info "• ${red}5${green} ♦ Multi Theft Auto [Версия: 1.5.5-R2]"
	Info "• ${red}6${green} ♦ San Andreas Multiplayer [Версия: 0.3.7-R2]"
	Info "• ${red}7${green} ♦ Crminal Russia Multiplayer [Версия: 0.3.7-C5]"
	Info "• ${red}8${green} ♦ Minecraft [Версия: Craftbukkit-1.12-R0.1]"
	Info "• ${red}0${green} ♦ В главное меню"
	wow1
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
		1)
			mkdir -p /path/cs
			cd /path/cs/
			wget $GAMES/cs2.zip
			unzip cs2.zip
			rm cs2.zip
			install_games
		;;
		2)
			cd /path/steam/
			./steamcmd.sh +login anonymous +force_install_dir /path/css/steam/ +app_update 232330 validate +quit
			install_games
		;;
		3)
			mkdir -p /path/cssold
			cd /path/cssold/
			wget $GAMES/cssold.zip
			unzip cssold.zip
			rm cssold.zip
			install_games
		;;
		4)
			cd /path/steam/
			./steamcmd.sh +login anonymous +force_install_dir /path/csglobal/ +app_update 740 validate +quit
			install_games
		;;
		5)
			mkdir -p /path/mta/mta155
			cd /path/mta/mta155/
			wget $GAMES/mta.zip
			unzip mta.zip
			rm mta.zip
			install_games
		;;
		6)
			mkdir -p /path/samp/samp037r2
			cd /path/samp/samp037r2/
			wget $GAMES/samp.zip
			unzip samp.zip
			rm samp.zip
			install_games
		;;
		7)
			mkdir -p /path/crmp/crmp037
			cd /path/crmp/crmp037/
			wget $GAMES/crmp.zip
			unzip crmp.zip
			rm crmp.zip
			install_games
		;;
		8)
			mkdir -p /path/mc/mc112
			cd /path/mc/mc112/
			wget $GAMES/mc.zip
			unzip mc.zip
			rm mc.zip
			install_games
		;;
		0) menu;;		
	esac
}
delete_games()
{
clear
echo "${green}--------------------------------------------------------------------------------"
Info "• Для того, чтобы удалить не нужные игры, Вам необходимо написать названия игры!"
Info "• Названия игры: | CS | CSS | CSSOLD | CSGO | SAMP | CRMP | MTA | MC | "
Info "• В главное меню: N"
echo "${green}--------------------------------------------------------------------------------"
echo -n "Введите названия игры: "

read item
case "$item" in
	cs|CS) echo "Вы Ввели CS, продолжаем удалять..."
	d_cs
		;;
	css|CSS) echo "Вы Ввели CSS, продолжаем удалять..."
	d_css
		;;
	cssold|CSSOLD) echo "Вы Ввели CSSOLD, продолжаем удалять..."
	d_cssold
		;;
	csgo|CSGO) echo "Вы Ввели CSGO, продолжаем удалять..."
	d_csgo
		;;
	samp|SAMP) echo "Вы Ввели SAMP, продолжаем удалять..."
	d_samp
		;;
	crmp|CRMP) echo "Вы Ввели CRMP, продолжаем удалять..."
	d_crmp	
		;;
	mta|MTA) echo "Вы Ввели MTA, продолжаем удалять..."
	d_mta
		;;
	mc|MC) echo "Вы Ввели MC, продолжаем удалять..."
	d_mc
		;;
	N|n) echo "Выходим в главное меню..."	
	menu
		;;
	*) echo "Ничего не ввели или неправильно Ввели. Выполняем действие по умолчанию..."
	warnings
		;;
esac
}
install_web()
{
	clear
	Info
	log_t "Список доступных модулей для ${red}EGP"
	Info "• ${red}1${green} Установить все модули: ${red}SourseBans,CSstats,CS:Bans,SourceMod"
	Info "-----------------------------------------------------"
	Info "•  ${red}0${green}  -> Вернуться назад"
	log_s
	Info
	read -p "Пожалуйста, введите пункт меню:" case
	case $case in
	1)
	read -p "${CYAN}Пожалуйста, введите ${red}домен ${CYAN}обезательно: ${yellow}" DOMAIN
	mkdir -p /var/www/db
	log_t "• Создаем хост в ${red}Apache2${green} - создание файлов виртуальных хостов •"
	FILE='/etc/apache2/sites-available/db.conf'
		echo "<VirtualHost *:80>">$FILE
		echo "	ServerName db.$DOMAIN">>$FILE
		echo "	DocumentRoot /var/www/db">>$FILE
		echo "	<Directory /var/www/db/>">>$FILE
		echo "	Options Indexes FollowSymLinks MultiViews">>$FILE
		echo "	AllowOverride All">>$FILE
		echo "	Order allow,deny">>$FILE
		echo "	allow from all">>$FILE
		echo "	</Directory>">>$FILE
		echo "	ErrorLog \${APACHE_LOG_DIR}/error.log">>$FILE
		echo "	LogLevel warn">>$FILE
		echo "	CustomLog \${APACHE_LOG_DIR}/access.log combined">>$FILE
		echo "</VirtualHost>">>$FILE
	log_t "• Перезагружаем ${red}Apache2${green} •"
	a2ensite db.conf
	service apache2 restart	
		service apache2 restart
		cd /
		wget $MIRROR/path.zip
		unzip path.zip
		rm path.zip
		gotova_web
		;;
		0) menu;;
	esac
}
install_new()
{
	clear
	Info
	log_t "Список доступных обновлений для ${red}EGP"
	Info "• ${red}1${green} Обновление от 06.06.2019"
	Info "-----------------------------------------------------"
	Info "•  ${red}0${green}  -> Вернуться назад"
	log_s
	Info
	read -p "Пожалуйста, введите пункт меню:" case
	case $case in
	1)
	log_t "• Закачиваем Обновление •"
	read -p "${CYAN}Пожалуйста, введите ${red}домен ${CYAN}или ${red}IP${green}: ${yellow}" DOMAIN
	cd /var/www
	wget $MIRROR/new/06062019.zip
	unzip 06062019.zip
	rm 06062019.zip
	sed -i "s/enginegamespanel.ru/${DOMAIN}/g" /var/www/system/data/config.php
	sed -i "s/enginegamespanel.ru/${DOMAIN}/g" /var/www/system/data/config.php
	sed -i "s/enginegamespanel.ru/${DOMAIN}/g" /var/www/system/data/config.php
		gotova_new1
		;;
		0) menu;;
	esac
}
install_shablon()
{
	clear
	Info
	log_t "Список доступных шаблонов для ${red}EGP"
	Info "• ${red}1${green} MyHost"
	Info "• ${red}2${green} ForGame"
	Info "• ${red}3${green} GHost v2"
	Info "• ${red}4${green} GHost"
	Info "• ${red}5${green} 1GameHost"
	Info "• ${red}6${green} Winforce"
	Info "• ${red}7${green} BSP"
	Info "-----------------------------------------------------"
	Info "•  ${red}0${green}  -> Вернуться назад"
	log_s
	Info
	read -p "Пожалуйста, введите пункт меню:" case
	case $case in
	1) rm -r /var/www/template
			cd /var/www
			wget $MIRROR/template/myhost.zip
			unzip myhost.zip
			rm myhost.zip
			success_shablon
		;;
	2) rm -r /var/www/template
			cd /var/www
			wget $MIRROR/template/forgame.zip
			unzip forgame.zip
			rm forgame.zip
			success_shablon
		;;
	3) rm -r /var/www/template
			cd /var/www
			wget $MIRROR/template/ghost2.zip
			unzip ghost2.zip
			rm ghost2.zip
			success_shablon
		;;
	4) rm -r /var/www/template
			cd /var/www
			wget $MIRROR/template/ghost.zip
			unzip ghost.zip
			rm ghost.zip
			success_shablon
		;;
	5) rm -r /var/www/template
			cd /var/www
			wget $MIRROR/template/1gamehost.zip
			unzip 1gamehost.zip
			rm 1gamehost.zip
			success_shablon
		;;
	6) rm -r /var/www/template
			cd /var/www
			wget $MIRROR/template/winforce.zip
			unzip winforce.zip
			rm winforce.zip
			success_shablon
			;;
	7) rm -r /var/www/template
			cd /var/www
			wget $MIRROR/template/bsp.zip
			unzip bsp.zip
			rm bsp.zip
			success_shablon
		;;
		0) menu;;
	esac
}
gotova_new1()
{
	clear
	Info
	log_t "• Вы успешно установили обновление"
	Info "${red}0${green} - Выйти"
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	0) menu;;
	esac
}
gotova_web()
{
	clear
	Info
	log_t "• Вы успешно установили WEB модули"
	Info "${red}0${green} - Выйти"
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	0) menu;;
	esac
}
success_shablon()
{
	clear
	Info
	log_t "• Вы успешно установили шаблон"
	Info "${red}0${green} - Выйти"
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	0) menu;;
	esac
}
warnings()
{
	clear
	echo "${green}----------------------------------------------------------------"
	Info "• Внимание! Вы ввели неправильно, либо Ошиблись! Код ошибки: #2"
	echo "${green}----------------------------------------------------------------"
	echo -n "Перейти в меню? (${red}Y${green}/${red}N${green}):"
read item
case "$item" in
	Y|y) echo "Вы были направлены в главное меню..."
	menu
		;;
	N|n) echo "Вы были направлены в меню..."
		warnings
		;;
	*) echo "Ничего не ввели, или неправильно ввели. Выполняем действие по умолчанию..."
	menu
		;;
esac
	
}
version_samp()
{
echo "${green}------------------------------------------------------"
Info "• Внимание! в SA-MP есть Версии: 0.3.7-R2, 0.3e-R2, 0.3z, 0.3x, Чтобы удалить Вам необходимо писать Версии."
Info "• В главное меню: N"
Info "• Версии: | 0.3.DL | 0.3.7 | 0.3e | 0.3z | 0.3x |"
echo "${green}------------------------------------------------------"
echo -n "Введите номер билда: "
read item
case "$item" in
	0.3.7|0.3.7) echo "Выбран «Версия 0.3.7-R2», продолжаем..."
	d_samp1
		;;
	0.3e|0.3e) echo "Выбран «Версия 0.3e-R2», продолжаем..."
	d_samp2
		;;
	0.3z|0.3z) echo "Выбран «Версия 0.3z», продолжаем..."
	d_samp3
		;;
	0.3x|0.3x) echo "Выбран «Версия 0.3x», продолжаем..."
	d_samp4
		;;
	N|n) echo "Ввели «exit», и были направлены в меню..."
		menu
		;;
	*) echo "Ничего не ввели, или неправильно ввели. Выполняем действие по умолчанию..."
	menu
esac
}
version_crmp()
{
echo "${green}------------------------------------------------------"
Info "• Внимание! в CR-MP есть Версии: | 0.3.7 | 0.3e | Чтобы удалить Вам необходимо писать Версии."
Info "• В главное меню: N"
Info "• Версии: | 0.3.7 | 0.3e |"
echo "${green}------------------------------------------------------"
echo -n "Введите номер билда: "
read item
case "$item" in
	0.3.7|0.3.7) echo "Выбран «CRMP 0.3.7», продолжаем..."
	d_crmp
		;;
	0.3e|0.3e) echo "Выбран ««CRMP 0.3e», продолжаем..."
	d_crmp1
		;;
	N|n) echo "Ввели «exit», и были направлены в меню..."
	menu
		;;
	*) echo "Ничего не ввели, или неправильно ввели. Выполняем действие по умолчанию..."
	menu
esac
}
build_cs()
{
echo "${green}------------------------------------------------------"
Info "• Внимание! в Counter-Strike 1.6 есть Build: 5787, 6153, 7559, Чтобы удалить Вам необходимо писать Билды."
Info "• В главное меню: N"
Info "• Билды: | 5787 | 6153 | 7559 | REHLDS |"
echo "${green}------------------------------------------------------"
echo -n "Введите номер билда: "
read item
case "$item" in
	5787|5787) echo "Выбран «Build 5787», продолжаем..."
	d_cs1
		;;
	6153|6153) echo "Выбран «Build 6153», продолжаем..."
	d_cs2
		;;
	7559|7559) echo "Выбран «Build 7559», продолжаем..."
	d_cs3
		;;
	rehlds|REHLDS) echo "Выбран «Build REHLDS», продолжаем..."
	d_cs
		;;
	N|n) echo "Ввели «exit», и были направлены в меню..."
		menu
		;;
	*) echo "Ничего не ввели, или неправильно ввели. Выполняем действие по умолчанию..."
	menu
esac
}
d_cs() # Counter-Strike 1.6
{
echo -e "• Удаляется сборка «REHLDS» Игра: CS 1.6..."

# Команда, которую нужно отследить
rm -R /path/cs

if [ $? -eq 0 ]; then
	echo -n "${green}${toend}[OK]"
	g_cs
else
	echo -n "${red}${toend}[fail]"
	menu
fi
echo -n "${reset}"
echo
}
d_cs1()
{
echo -e "• Удаляется сборка «Build 6153» Игра: CS 1.6..."

# Команда, которую нужно отследить
rm -R /path/cs

if [ $? -eq 0 ]; then
	echo -n "${green}${toend}[OK]"
	g_cs2
else
	echo -n "${red}${toend}[fail]"
	menu
fi
echo -n "${reset}"
echo
}
d_cs2()
{
echo -e "• Удаляется сборка «Build 7559» Игра: CS 1.6..."

# Команда, которую нужно отследить
rm -R /path/cs

if [ $? -eq 0 ]; then
	echo -n "${green}${toend}[OK]"
	g_cs3
else
	echo -n "${red}${toend}[fail]"
	menu
fi
echo -n "${reset}"
echo
}
d_cs3()
{
echo -e "• Удаляется сборка «Build 5787» Игра: CS 1.6..."

# Команда, которую нужно отследить
rm -R /path/cs

if [ $? -eq 0 ]; then
	echo -n "${green}${toend}[OK]"
	g_cs1
else
	echo -n "${red}${toend}[fail]"
	menu
fi
echo -n "${reset}"
echo
}
d_css()
{
echo -e "• Удаляется Игра: Counter-Strike: Source..."

# Команда, которую нужно отследить
rm -R /path/css

if [ $? -eq 0 ]; then
	echo -n "${green}${toend}[OK]"
	g_css
else
	echo -n "${red}${toend}[fail]"
	menu
fi
echo -n "${reset}"
echo
}
d_cssold()
{
echo -e "• Удаляется Игра: Counter-Strike: Source v34......"

# Команда, которую нужно отследить
rm -R /path/cssold

if [ $? -eq 0 ]; then
	echo -n "${green}${toend}[OK]"
	g_cssold
else
	echo -n "${red}${toend}[fail]"
	menu
fi
echo -n "${reset}"
echo
}
d_csgo()
{
echo -e "• Удаляется Игра: Counter-Strike: Global Offensive..."

# Команда, которую нужно отследить
rm -R /path/csglobal

if [ $? -eq 0 ]; then
	echo -n "${green}${toend}[OK]"
	g_csgo
else
	echo -n "${red}${toend}[fail]"
	menu
fi
echo -n "${reset}"
echo
}
d_samp() # SA-MP
{
echo -e "Удаляется Сборка: 0.3.DL Игра: SAMP..."
# Команда, которую нужно отследить
rm -R /path/samp

if [ $? -eq 0 ]; then
	echo -n "${green}${toend}[OK]"
	g_samp
else
	echo -n "${red}${toend}[fail]"
	menu
fi
echo -n "${reset}"
echo
}
d_samp1()
{
echo -e "Удаляется Сборка: 0.3.7-R2 Игра: SAMP..."

# Команда, которую нужно отследить
rm -R /path/samp

if [ $? -eq 0 ]; then
	echo -n "${green}${toend}[OK]"
	g_samp1
else
	echo -n "${red}${toend}[fail]"
	menu
fi
echo -n "${reset}"
echo
}
d_samp2()
{
echo -e "Удаляется Сборка: 0.3e-R2 Игра: SAMP..."

# Команда, которую нужно отследить
rm -R /path/samp

if [ $? -eq 0 ]; then
	echo -n "${green}${toend}[OK]"
	g_samp2
else
	echo -n "${red}${toend}[fail]"
	menu
fi
echo -n "${reset}"
echo
}
d_samp3()
{
echo -e "Удаляется Сборка: 0.3z Игра: SAMP..."

# Команда, которую нужно отследить
rm -R /path/samp

if [ $? -eq 0 ]; then
	echo -n "${green}${toend}[OK]"
	g_samp3
else
	echo -n "${red}${toend}[fail]"
	menu
fi
echo -n "${reset}"
echo
}
d_samp4()
{
echo -e "Удаляется Сборка: 0.3x Игра: SAMP..."

# Команда, которую нужно отследить
rm -R /path/samp

if [ $? -eq 0 ]; then
	echo -n "${green}${toend}[OK]"
	g_samp4
else
	echo -n "${red}${toend}[fail]"
	menu
fi
echo -n "${reset}"
echo
}
d_crmp() # CR-MP
{
echo -e "Удаляется игра CRMP..."

# Команда, которую нужно отследить
rm -R /path/crmp

if [ $? -eq 0 ]; then
	echo -n "${green}${toend}[OK]"
	g_crmp
else
	echo -n "${red}${toend}[fail]"
	menu
fi
echo -n "${reset}"
echo
}
d_crmp1()
{
echo -e "Удаляется игра CRMP..."

# Команда, которую нужно отследить
rm -R /path/crmp

if [ $? -eq 0 ]; then
	echo -n "${green}${toend}[OK]"
	g_crmp1
else
	echo -n "${red}${toend}[fail]"
	menu
fi
echo -n "${reset}"
echo
}
d_mta() # MTA
{
echo -e "Удаляется игра MTA..."

# Команда, которую нужно отследить
rm -R /path/mta

if [ $? -eq 0 ]; then
	echo -n "${green}${toend}[OK]"
	g_mta
else
	echo -n "${red}${toend}[fail]"
	menu
fi
echo -n "${reset}"
echo
}
d_mc() # MC
{
echo -e "Удаляется игра MC..."

# Команда, которую нужно отследить
rm -R /path/mc

if [ $? -eq 0 ]; then
	echo -n "${green}${toend}[OK]"
	g_mc
else
	echo -n "${red}${toend}[fail]"
	menu
fi
echo -n "${reset}"
echo
}
g_cs()	# CS 1.6
{
	clear
	Info
	log_t "• Вы успешно удалили игру - ${red}Counter-Strike: 1.6" # В разработке.
	Info "${red}1${green} - Перейти обратно"
	Info "${red}0${green} - Выйти"
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	1) delete_games;;
	0) menu;;
	esac
}
g_cs1()
{
	clear
	Info
	log_t "• Вы успешно удалили Билды: ${red}5787${green} - ${red}Counter-Strike: 1.6"
	Info "${red}1${green} - Перейти обратно"
	Info "${red}0${green} - Выйти"
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	1) delete_games;;
	0) menu;;
	esac
}
g_cs2()
{
	clear
	Info
	log_t "• Вы успешно удалили Билды: ${red}6153${green} - ${red}Counter-Strike: 1.6"
	Info "${red}1${green} - Перейти обратно"
	Info "${red}0${green} - Выйти"
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	1) delete_games;;
	0) menu;;
	esac
}
g_cs3()
{
	clear
	Info
	log_t "• Вы успешно удалили Билды: ${red}7559${green} - ${red}Counter-Strike: 1.6"
	Info "${red}1${green} - Перейти обратно"
	Info "${red}0${green} - Выйти"
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	1) delete_games;;
	0) menu;;
	esac
}
g_css()
{
	clear
	Info
	log_t "• Вы успешно удалили игру${green} - ${red}Counter-Strike: Source"
	Info "${red}1${green} - Перейти обратно"
	Info "${red}0${green} - Выйти"
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	1) delete_games;;
	0) menu;;
	esac
}
g_cssold()
{
	clear
	Info
	log_t "• Вы успешно удалили игру${green} - ${red}Counter-Strike Source v34"
	Info "${red}1${green} - Перейти обратно"
	Info "${red}0${green} - Выйти"
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	1) delete_games;;
	0) menu;;
	esac
}
g_csgo()
{
	clear
	Info
	log_t "• Вы успешно удалили игру${green} - ${red}Counter-Strike: Global Offensive"
	Info "${red}1${green} - Перейти обратно"
	Info "${red}0${green} - Выйти"
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	1) delete_games;;
	0) menu;;
	esac
}
g_samp() # SA-MP
{
	clear
	Info
	log_t "• Вы успешно удалили игру${green} - ${red}San Andreas Multiplayer"
	Info "${red}1${green} - Перейти обратно"
	Info "${red}0${green} - Выйти"
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	1) delete_games;;
	0) menu;;
	esac
}
g_samp1()
{
	clear
	Info
	log_t "• Вы успешно удалили Сборку: ${red}0.3.7-R2${green} - ${red}SA-MP"
	Info "${red}1${green} - Перейти обратно"
	Info "${red}0${green} - Выйти"
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	1) delete_games;;
	0) menu;;
	esac
}
g_samp2()
{
	clear
	Info
	log_t "• Вы успешно удалили Сборку: ${red}0.3e-R2${green} - ${red}SA-MP"
	Info "${red}1${green} - Перейти обратно"
	Info "${red}0${green} - Выйти"
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	1) delete_games;;
	0) menu;;
	esac
}
g_samp3()
{
	clear
	Info
	log_t "• Вы успешно удалили Сборку: ${red}0.3z${green} - ${red}SA-MP"
	Info "${red}1${green} - Перейти обратно"
	Info "${red}0${green} - Выйти"
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	1) delete_games;;
	0) menu;;
	esac
}
g_samp4()
{
	clear
	Info
	log_t "• Вы успешно удалили Сборку: ${red}0.3x${green} - ${red}SA-MP"
	Info "${red}1${green} - Перейти обратно"
	Info "${red}0${green} - Выйти"
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	1) delete_games;;
	0) menu;;
	esac
}
g_crmp() # CR-MP
{
	clear
	Info
	log_t "• Вы успешно удалили игру - ${red}Crminal Russia Multiplayer"
	Info "${red}1${green} - Перейти обратно"
	Info "${red}0${green} - Выйти"
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	1) delete_games;;
	0) menu;;
	esac
}
g_crmp1()
{
	clear
	Info
	log_t "• Вы успешно удалили Сборку: ${red}0.3e${green} - ${red}CRMP"
	Info "${red}1${green} - Перейти обратно"
	Info "${red}0${green} - Выйти"
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	1) delete_games;;
	0) menu;;
	esac
}
g_mta()	# MTA
{
	clear
	Info
	log_t "• Вы успешно удалили игру - ${red}Multi Theft Auto " # В разработке.
	Info "${red}1${green} - Перейти обратно"
	Info "${red}0${green} - Выйти"
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	1) delete_games;;
	0) menu;;
	esac
}
g_mc() # MC
{
	clear
	Info
	log_t "• Вы успешно удалили игру - ${red}Minecraft"
	Info "${red}1${green} - Перейти обратно"
	Info "${red}0${green} - Выйти"
	Info
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	1) delete_games;;
	0) menu;;
	esac
}

menu_password()
{
	clear
	wow
	Info "• ${red}1${green} - Изменить ${red}пароль${green} от ${red}phpMyAdmin"
	Info "• ${red}2${green} - Изменить ${red}пароль${green} от web - ${red}/var/www/system/data/web.php"
	Info "• ${red}3${green} - Изменить старый ${red}пароль от ${red}MySQl${green} на новый пароль для ${red}FTP${green}(${red}Обязательно если вы сменили пароль от MySQL${green})"
	Info "• ${red}0${green} - В главное меню"
	wow1
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
	1) phpmyadmin_pass;;
	2) web_pass;;
	3) proftpd_pass;;
	0) menu;;
	esac
}
phpmyadmin_pass()
{
	clear
	wow
	Info "Введите старый пароль от phpMyAdmin - для изменение на нового
	Если не хотите, оставьте пустым, и нажмите на Enter"
	read -p "Введите старый пароль от phpMyAdmin: " SPMA_PASS
	wow
	Info "Введите новый пароль для phpMyAdmin
	Внимание! После изменение, не забудьте изменить старый пароль
	В управление локациями, чтобы всё работало
	Если не хотите, оставьте пустым, и нажмите на Enter"
	read -p "Введите новый пароль для phpMyAdmin: " PMA_PASS
	wow
	echo "${green}------------------------------------------------------"
	Info "• Внимание! Проверьте правильно ли Вы ввели всё данные!"
	Info "• Пароль от phpMyAdmin: Старый пароль: $SPMA_PASS | Новый пароль:$PMA_PASS"
	Info "• Пароль с: $SPMA_PASS | Будет изменен на:$PMA_PASS"
	Info "• ${red}1${green} - Да, правильно всё"
	Info "• ${red}2${green} - Нет, не правильно, хочу изменить!"
	Info "• ${red}0${green} - Выйти"
	echo "${green}------------------------------------------------------"
	echo -n "Введите пожалуйста, пункт меню: "
	read item
	case "$item" in
	1|1) echo "Вы выбрали «1», продолжаем..."
	SPMAP=$SPMA_PASS
	PMAP=$PMA_PASS
	mysql -uroot -p$SPMA_PASS -e "SET PASSWORD FOR 'root'@'localhost' = PASSWORD('$PMA_PASS');"
	sed -i "s/${SPMAP}/${PMAP}/g" /var/www/system/data/mysql.php
	pma_pass_success;;
	2|2) echo "Вы выбрали «2», продолжаем..."
	phpmyadmin_pass
		;;
	0|0) echo "Вы выбрали «0», Выполняем действие по умолчанию..."
	esac
}
pma_pass_success()
{
	clear
	wow
	Info "Здравствуйте, Вы успешно изменили пароль! Данные ниже:"
	lines
	Error_n "• Пароль phpMyAdmin - Изменен с:$SPMA_PASS"
	Error_n "• На новый: $PMA_PASS"
	lines
	Info "• ${red}1${green} - Сохранить данные в /root/pass1.txt"
	Info "• ${red}0${green} - Выйти"
	read -p "Введите пожалуйста, пункт меню: " case
	case $case in
	1) echo "$PMA_PASS" >/root/pass1.txt;;
	0) menu;;
	esac
}
web_pass()
{
	clear
	wow
	Info "Введите старый пароль от сервера - для изменение на нового
	Если не хотите, оставьте пустым, и нажмите на Enter"
	read -p "Введите старый пароль от сервера: " SWEB_PASS
	wow
	Info "Введите новый пароль от сервера для Web 
	Внимание! После изменение, не забудьте изменить старый пароль
	В управление локациями, чтобы всё работало
	Если не хотите, оставьте пустым, и нажмите на Enter"
	read -p "Введите новый пароль для сервера для Web: " WEB_PASS
	wow
	echo "${green}------------------------------------------------------"
	Info "• Внимание! Проверьте правильно ли Вы ввели всё данные!"
	Info "• Пароль от сервера для Web: Старый пароль: $SWEB_PASS | Новый пароль: $WEB_PASS"
	Info "• Пароль с: $SWEB_PASS | Будет изменен на: $WEB_PASS"
	Info "• ${red}1${green} - Да, правильно всё"
	Info "• ${red}2${green} - Нет, не правильно, хочу изменить!"
	Info "• ${red}0${green} - Выйти"
	echo "${green}------------------------------------------------------"
	echo -n "Введите пожалуйста, пункт меню: "
	read item
	case "$item" in
	1|1) echo "Вы выбрали «1», продолжаем..."
	SWP=$SWEB_PASS
	WP=$WEB_PASS
	sed -i "s/${SWP}/${WP}/g" /var/www/system/data/web.php
	service apache2 restart
	web_pass_success;;
	2|2) echo "Вы выбрали «2», продолжаем..."
	web_pass
		;;
	0|0) echo "Вы выбрали «0», Выполняем действие по умолчанию..."
	esac
}
web_pass_success()
{
	clear
	wow
	Info "Здравствуйте, Вы успешно изменили пароль! Данные ниже:"
	lines
	Error_n "• Пароль от сервера для Web - Изменен с: $SWEB_PASS"
	Error_n "• На новый: $WEB_PASS"
	lines
	Info "• ${red}1${green} - Сохранить данные в /root/pass2.txt"
	Info "• ${red}0${green} - Выйти"
	read -p "Введите пожалуйста, пункт меню: " case
	case $case in
	1) web_pass_success -r | tee pass2.txt;;
	0) menu;;
	esac
}
mce_pass()
{
	clear
	wow
	Info "Введите пароль от phpMyAdmin, пароль нужен, для установка Mysql_Config_Editor
Если не хотите, оставьте пустым, и нажмите на Enter"
	read -p "Введите пароль от phpMyAdmin: " MCE_PASS
	echo "$MCE_PASS" >/root/password.txt
	wow
	echo "${green}------------------------------------------------------"
	Info "• Внимание! Проверьте правильно ли Вы ввели всё данные!"
	Info "• Пароль от phpMyAdmin: $MCE_PASS"
	Info "• Внимание! Пароль сохранен в /root/password.txt - Скопируйте пароль понадобится!"
	Info "• ${red}1${green} - Да, правильно всё"
	Info "• ${red}2${green} - Нет, не правильно, хочу изменить!"
	Info "• ${red}0${green} - Выйти"
	echo "${green}------------------------------------------------------"
	echo -n "Введите пожалуйста, пункт меню: "
	read item
	case "$item" in
	1|1) echo "Вы выбрали «1», продолжаем..."
	mc_editor
		;;
	2|2) echo "Вы выбрали «2», продолжаем..."
	mce_pass
		;;
	0|0) echo "Вы выбрали «0», Выполняем действие по умолчанию..."
	esac
}
mc_editor()
{
	clear
	wow "Установка mysql_config_editor"
	Info "• ${red}1${green} - Установить MySQL_Config_Editor 
(Обязательно, если хотите, чтобы работал MySQL)"
	Info "• ${red}0${green} - Выйти"
	read -p "Введите пожалуйста, пункт меню: " case
	case $case in
	1) 
	Info "Скопируйте пароль который сохранен в файл /root/password.txt"
	Info "И вставьте правой кнопкой мышь, в поле Enter password: "
	Info "Или введите клавиатурой, Ваш пароль: $MCE_PASS"
	mysql_config_editor set --login-path=local --host=localhost --user=root --password;;
	0) menu;;
	esac
}
proftpd_pass()
{
	clear
	wow
	Info "Введите ваш старый пароль от MySQL для FTP - Чтоб указать ваш новый пароль от MySQL для FTP"
	read -p "${CYAN}Введите ваш старый ${red}пароль${CYAN} от ${red}MySQL${CYAN} для ${red}FTP${CYAN}:" ftppassold 
	read -p "${CYAN}Введите ваш новый ${red}пароль${CYAN} от ${red}MySQL${CYAN} для ${red}FTP${CYAN}:" ftppassnew 
	echo "${green}----------------------------------------------------------------------------------"
	Info "• Внимание! Проверьте правильно ли Вы ввели всё данные!"
	Info "• Старый пароль от MySQL для FTP: Старый пароль: $ftppassold | Новый пароль для FTP: $ftppassnew"
	Info "• Пароль с: $ftppassold | Будет изменен на: $ftppassnew"
	Info "• ${red}1${green} - Да, правильно всё"
	Info "• ${red}2${green} - Нет, не правильно, хочу изменить!"
	Info "• ${red}0${green} - Выйти"
	echo "${green}----------------------------------------------------------------------------------"
	echo -n "Введите пожалуйста, пункт меню: "
	read item
	case "$item" in
	1|1) echo "Вы выбрали «1», продолжаем..."
	ftpold=$ftppassold
	ftpnew=$ftppassnew
	sed -i "s/${ftpold}/${ftpnew}/g" /etc/proftpd/sql.conf
	service proftpd restart
	proftpd_pass_success;;
	2|2) echo "Вы выбрали «2», продолжаем..."
	proftpd_pass
		;;
	0|0) echo "Вы выбрали «0», Выполняем действие по умолчанию..."
	esac
}
proftpd_pass_success()
{
	clear
	wow
	Info "Здравствуйте, Вы успешно изменили пароль для FTP! Данные ниже:"
	lines
	Error_n "• Пароль от MySQL для FTP - Изменен с:$ftppassold"
	Error_n "• На новый: $ftppassnew"
	lines
	Info "• ${red}1${green} - Сохранить данные в /root/proftpdnewpass.txt"
	Info "• ${red}0${green} - Выйти"
	read -p "Введите пожалуйста, пункт меню: " case
	case $case in
	1) echo "$ftppassnew" >/root/proftpdnewpass.txt;;
	0) menu;;
	esac
}

contact()
{
	Info "по всем вопросам писать https://vk.com/id493883423 или https://vk.com/zoro451"
	Info "если будет проблемы с установкой мы поможем установка и настройка нашим специалистом 200 р"
	Info "вы можете поддержать проект наш qiwi 79858675922"
}
install_mce()
{
echo "${green}------------------------------------------------------"
Info "${red}Внимание! ${green}Если Вы не установили П.У EGP, то не будет 
устанавливаться Mysql_Config_Editor!"
echo "${green}------------------------------------------------------"
echo -n "Вы уверены, что хотите перейти, в установочный меню ${red}MCE${green}?(${red}Y${green}/${red}N${green}): "
read item
case "$item" in
	Y|y) echo "Вы были направлены в установочное меню..."
	mce_pass
		;;
	N|n) echo "Вы были направлены в главное меню..."
		menu
		;;
	*) echo "Ничего не ввели, или неправильно ввели. Выполняем действие по умолчанию..."
	menu
		;;
esac
}
MIRROR="http://shop.ftpby.ru/files/egp"
GAMES="http://shop.ftpby.ru/files/cs"
menu()
{
	clear
	wow
	infomenu
	Info "• ${red}1${green} - Установить ${red}EGP${green} пешите домен${red} Автоматическая настройка локации"
	Info "• ${red}2${green} - Настройка локации под ${red}EGP${green} устанавливать только если игры будут на другой машине"
	Info "• ${red}3${green} - Установка Mysql_Config_Editor(${red}устанавливать сразу после установки EGP)${green}перед установкой скопируйте пароль mysqyl"
	Info "• ${red}4${green} - Изменение ${red}пароля${green} от ${red}локации${green}/${red}phpmyadmin${green}/${red}web${green}/${red}panel${green}/${red}и${green}.${red}т${green}.${red}д${green}"
	Info "• ${red}5${green} - Меню установки ${red}игр${green}"
	Info "• ${red}6${green} - Меню ${red}удаления игр${green}"
	Info "• ${red}7${green} - Меню ${red}установки WEB модулей${green}"
	#Info "• ${red}8${green} - Меню ${red}установки обновлений${green}"
	#Info "• ${red}9${green} - Меню ${red}установки/удаления шаблонов${green}"
	Info "• ${red}8${green} - Меню ${red}контактов разработчика${green}"
	Info "• ${red}0${green} - Выйти"
	wow1
	read -p "Пожалуйста, введите пункт меню: " case
	case $case in
		1) version;;
		2) settings_location;;
		3) install_mce;;
		4) menu_password;;
		5) install_games;;
		6) delete_games;;
		7) install_web;;
		#8) install_new;;
		#8) install_shablon;;
		8) contact;;
		0) exit;;
	esac
}
menu
